New Search

WebKit 'libxml' Context Handling Remote Code Execution Vulnerability

oval:org.mitre.oval:def:7374

WebKit in Apple Safari before 5.0 on Mac OS X 10.5 through 10.6 and Windows and before 4.1 on Mac OS X 10.4 does not properly handle libxml contexts allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted HTML document related to an "API abuse issue."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
  • Microsoft Windows XP
  • Microsoft Windows Server 2003
Class:
vulnerability
Reference(s):
  • CVE-2010-1415
Product(s):
  • Apple Safari